import 'dart:async';
import 'dart:io';

import 'package:flutter/cupertino.dart';
import 'package:flutter/services.dart';

class LoggerPlugin {
  static const MethodChannel _channel =
      const MethodChannel('com.sunstar.logger_plugin.logger_plugin');

  static logD({@required tag, @required String message}) =>
      _showLog(tag, message, "debug");

  static logE({@required tag, @required String message}) =>
      _showLog(tag, message, "error");

  static logW({@required tag, @required String message}) =>
      _showLog(tag, message, "warring");

  static logI({@required tag, @required String message}) =>
      _showLog(tag, message, "info");

  static logV({@required tag, @required String message}) =>
      _showLog(tag, message, "verbose");

  static _showLog(String tag, String message, String methodName) {
    if (Platform.isAndroid)
      _channel.invokeMethod(methodName, {"tag": tag, "info": message});
  }
}
